com.aliyun.svideosdk.recorder

## Interface AliyunIAudioRecorder

-     public interface AliyunIAudioRecorder

  音频录制接口

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunAudioClip[]` | `allClips()` 获取全部音频片段
    `AliyunAudioClip` | `breakTag()` 音频采集不停止的情况下，强制分段录制
    `int` | `connectClip()` 生成录制结果，@see com.aliyun.svideosdk.recorder.AudioRecordCallback#onClipConnected
    `int` | `deleteClip(AliyunAudioClip clip)` 删除一段录制片段
    `long` | `getRecordDuration()` 获取录制音频总时长
    `int` | `init(Context context)` 初始化
    `int` | `release()` 销毁录制环境
    `int` | `setOutputPath(java.lang.String outputPath)` 设置文件输出路径
    `void` | `setRecordCallback(AudioRecordCallback callback)` 设置音频录制回调
    `int` | `startRecord()` 开始录制
    `AliyunAudioClip` | `stopRecord()` 停止录制

- - ### Method Detail

    - #### init

          int init(Context context)

      初始化
      Parameters:
        `context` - 上下文
      Returns:

    - #### setOutputPath

          int setOutputPath(java.lang.String outputPath)

      设置文件输出路径
      Parameters:
        `outputPath` - 文件输出路径
      Returns:

    - #### setRecordCallback

          void setRecordCallback(AudioRecordCallback callback)

      设置音频录制回调
      Parameters:
        `callback` - 回调接口参数

    - #### startRecord

          int startRecord()

      开始录制
      Returns:

    - #### stopRecord

          AliyunAudioClip stopRecord()

      停止录制
      Returns:

    - #### connectClip

          int connectClip()

      生成录制结果，@see com.aliyun.svideosdk.recorder.AudioRecordCallback#onClipConnected
      Returns:

    - #### breakTag

          AliyunAudioClip breakTag()

      音频采集不停止的情况下，强制分段录制
      Returns:

    - #### deleteClip

          int deleteClip(AliyunAudioClip clip)

      删除一段录制片段
      Parameters:
        `clip` - 录制片段
      Returns:

    - #### getRecordDuration

          long getRecordDuration()

      获取录制音频总时长
      Returns:

    - #### allClips

          AliyunAudioClip[] allClips()

      获取全部音频片段
      Returns:

    - #### release

          int release()

      销毁录制环境
      Returns: